/* tslint:disable */
/* eslint-disable */
export function represent_rgb(color: string): Uint8Array;
export function rgb_to_hex(r: number, g: number, b: number): string;
export function represent_hsl(color: string): Float32Array;
export function hsl_to_hex(h: number, s: number, l: number): string;
export function represent_lab(color: string): Float32Array;
export function lab_to_hex(l: number, a: number, b: number): string;
export function represent_oklch(color: string): Float32Array;
export function oklch_to_hex(l: number, c: number, h: number): string;
export function represent_hct(color: string): Float32Array;
export function hct_to_hex(hue: number, chroma: number, tone: number): string;
export function shift_hue(color: string, degree: number): string;
export function lighten(color: string, percent: number): string;
export function lighten_absolute(color: string, value: number): string;
export function darken(color: string, percent: number): string;
export function darken_absolute(color: string, value: number): string;
export function mix(color1: string, color2: string, percent: number): string;
export function tint(color: string, percent: number): string;
export function shade(color: string, percent: number): string;
export function wacg_relative_contrast(fg_color: string, bg_color: string): number;
export function analogous_30(color: string): (string)[];
export function analogous_60(color: string): (string)[];
export function complementary(color: string): string;
export function split_complementary(color: string): (string)[];
export function tetradic(color: string): (string)[];
export function triadic(color: string): (string)[];
export function series(color: string, expand_amount: number, step: number): (string)[];
export function tonal_lighten_series(color: string, expand_amount: number, step: number): (string)[];

export type InitInput = RequestInfo | URL | Response | BufferSource | WebAssembly.Module;

export interface InitOutput {
  readonly memory: WebAssembly.Memory;
  readonly represent_rgb: (a: number, b: number) => [number, number, number, number];
  readonly rgb_to_hex: (a: number, b: number, c: number) => [number, number, number, number];
  readonly represent_hsl: (a: number, b: number) => [number, number, number, number];
  readonly hsl_to_hex: (a: number, b: number, c: number) => [number, number, number, number];
  readonly represent_lab: (a: number, b: number) => [number, number, number, number];
  readonly lab_to_hex: (a: number, b: number, c: number) => [number, number, number, number];
  readonly represent_oklch: (a: number, b: number) => [number, number, number, number];
  readonly oklch_to_hex: (a: number, b: number, c: number) => [number, number, number, number];
  readonly represent_hct: (a: number, b: number) => [number, number, number, number];
  readonly hct_to_hex: (a: number, b: number, c: number) => [number, number, number, number];
  readonly shift_hue: (a: number, b: number, c: number) => [number, number, number, number];
  readonly lighten: (a: number, b: number, c: number) => [number, number, number, number];
  readonly lighten_absolute: (a: number, b: number, c: number) => [number, number, number, number];
  readonly darken: (a: number, b: number, c: number) => [number, number, number, number];
  readonly darken_absolute: (a: number, b: number, c: number) => [number, number, number, number];
  readonly mix: (a: number, b: number, c: number, d: number, e: number) => [number, number, number, number];
  readonly tint: (a: number, b: number, c: number) => [number, number, number, number];
  readonly shade: (a: number, b: number, c: number) => [number, number, number, number];
  readonly wacg_relative_contrast: (a: number, b: number, c: number, d: number) => [number, number, number];
  readonly analogous_30: (a: number, b: number) => [number, number, number, number];
  readonly analogous_60: (a: number, b: number) => [number, number, number, number];
  readonly complementary: (a: number, b: number) => [number, number, number, number];
  readonly split_complementary: (a: number, b: number) => [number, number, number, number];
  readonly tetradic: (a: number, b: number) => [number, number, number, number];
  readonly triadic: (a: number, b: number) => [number, number, number, number];
  readonly series: (a: number, b: number, c: number, d: number) => [number, number, number, number];
  readonly tonal_lighten_series: (a: number, b: number, c: number, d: number) => [number, number, number, number];
  readonly __wbindgen_export_0: WebAssembly.Table;
  readonly __wbindgen_malloc: (a: number, b: number) => number;
  readonly __wbindgen_realloc: (a: number, b: number, c: number, d: number) => number;
  readonly __externref_table_dealloc: (a: number) => void;
  readonly __wbindgen_free: (a: number, b: number, c: number) => void;
  readonly __externref_drop_slice: (a: number, b: number) => void;
  readonly __wbindgen_start: () => void;
}

export type SyncInitInput = BufferSource | WebAssembly.Module;
/**
* Instantiates the given `module`, which can either be bytes or
* a precompiled `WebAssembly.Module`.
*
* @param {{ module: SyncInitInput }} module - Passing `SyncInitInput` directly is deprecated.
*
* @returns {InitOutput}
*/
export function initSync(module: { module: SyncInitInput } | SyncInitInput): InitOutput;

/**
* If `module_or_path` is {RequestInfo} or {URL}, makes a request and
* for everything else, calls `WebAssembly.instantiate` directly.
*
* @param {{ module_or_path: InitInput | Promise<InitInput> }} module_or_path - Passing `InitInput` directly is deprecated.
*
* @returns {Promise<InitOutput>}
*/
export default function __wbg_init (module_or_path?: { module_or_path: InitInput | Promise<InitInput> } | InitInput | Promise<InitInput>): Promise<InitOutput>;
